/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_COMPANHIA                                                */
/* Tabela : COMPANHIA                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 09/10/2003 Jos Sant'Anna                                                  */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_COMPANHIA
BEFORE INSERT OR UPDATE OR DELETE
ON COMPANHIA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUCIA := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDCIA,0)     <> NVL(:NEW.CDCIA,0)) OR
         (NVL(:OLD.SGCIA,0)     <> NVL(:NEW.SGCIA,0)) OR
         (NVL(:OLD.NMCIA,0)     <> NVL(:NEW.NMCIA,0)) OR
         (NVL(:OLD.CDCLIENTE,0) <> NVL(:NEW.CDCLIENTE,0)) OR
         (NVL(:OLD.IDNACCIA,0)  <> NVL(:NEW.IDNACCIA,0)) THEN
         :NEW.DTULTATUCIA := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                  VALUES ('COMPANHIA', '', 'CDCIA='||:OLD.CDCIA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE COMPANHIA MODIFY DTULTATUCIA DEFAULT SYSDATE
/
